> For the complete documentation index, see [llms.txt](https://brightwind.gitbook.io/brighthub-user-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://brightwind.gitbook.io/brighthub-user-docs/api-reference/reanalysis-api.md).

# Reanalysis API

{% hint style="info" %}
Use the table of contents on the right to quickly navigate between endpoints.
{% endhint %}

## Get Nodes

> Gets all nodes for the specified reanalysis source within the bounds of the min and max latitudes and longitudes provided<br>

```json
{"openapi":"3.0.1","info":{"title":"brighthub-reanalysis-api","version":"2025-06-19T09:39:04Z"},"servers":[{"url":"https://api.brighthub.io/{basePath}","variables":{"basePath":{"default":"reanalysis"}}}],"security":[{"ID_Token":[]}],"components":{"securitySchemes":{"ID_Token":{"type":"http","scheme":"bearer","bearerFormat":"ID Token","description":"Enter your ID Token below.\nExample: `eyJraWQiOi...`\n"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer"},"error":{"type":"string"},"message":{"type":"string"}}}}},"paths":{"/{reanalysis_name}/nodes":{"get":{"summary":"Get Nodes","description":"Gets all nodes for the specified reanalysis source within the bounds of the min and max latitudes and longitudes provided\n","tags":["Reanalysis Nodes"],"parameters":[{"name":"reanalysis_name","in":"path","required":true,"schema":{"type":"string","enum":["ERA5","MERRA-2","CERRA"]},"description":"Name of the reanalysis data source"},{"name":"min_latitude_ddeg","in":"query","required":true,"schema":{"type":"number"}},{"name":"max_latitude_ddeg","in":"query","required":true,"schema":{"type":"number"}},{"name":"min_longitude_ddeg","in":"query","required":true,"schema":{"type":"number"}},{"name":"max_longitude_ddeg","in":"query","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"List of reanalysis nodes within specified bounds","content":{"application/json":{}}},"403":{"description":"Forbidden – user does not have permission to access this data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Measurement location not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Get Reanalysis Node Data

> Get the metadata & timeseries data associated with a Reanalysis node<br>

```json
{"openapi":"3.0.1","info":{"title":"brighthub-reanalysis-api","version":"2025-06-19T09:39:04Z"},"servers":[{"url":"https://api.brighthub.io/{basePath}","variables":{"basePath":{"default":"reanalysis"}}}],"security":[{"ID_Token":[]}],"components":{"securitySchemes":{"ID_Token":{"type":"http","scheme":"bearer","bearerFormat":"ID Token","description":"Enter your ID Token below.\nExample: `eyJraWQiOi...`\n"}},"schemas":{"ReanalysisData":{"type":"object","properties":{"metadata":{"type":"object","properties":{"author":{"type":"string"},"organisation":{"type":"string"},"date":{"type":"string","format":"date-time"},"version":{"type":"string"},"measurement_location":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"latitude_ddeg":{"type":"number"},"longitude_ddeg":{"type":"number"},"measurement_station_type_id":{"type":"string"},"notes":{"type":"string","nullable":true},"update_at":{"type":"string","format":"date-time"},"model_config":{"type":"array","items":{"type":"object","properties":{"reanalysis":{"type":"string"},"horizontal_grid_resolution_m":{"type":"number"},"model_used":{"type":"string"},"offset_from_utc_hrs":{"type":"number"},"averaging_period_minutes":{"type":"integer"},"timestamp_is_end_of_period":{"type":"boolean"},"date_from":{"type":"string"},"date_to":{"type":"string"},"notes":{"type":"string","nullable":true},"update_at":{"type":"string","format":"date-time"}}}},"measurement_point":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"measurement_type_id":{"type":"string"},"height_m":{"type":"number"},"height_reference_id":{"type":"string"},"logger_measurement_config":{"type":"array","items":{"type":"object","properties":{"measurement_units_id":{"type":"string"},"date_from":{"type":"string"},"date_to":{"type":"string"},"column_name":{"type":"array","items":{"type":"object","properties":{"column_name":{"type":"string"},"statistic_type_id":{"type":"string"}}}}}}}}}}}}}}},"timeseries_data":{"type":"object","properties":{"columns":{"type":"array","items":{"type":"string"}},"data":{"type":"array","items":{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"number"}]}}}}}}},"ErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer"},"error":{"type":"string"},"message":{"type":"string"}}}}},"paths":{"/{reanalysis_name}/nodes/{latitude_ddeg}/{longitude_ddeg}/data":{"get":{"summary":"Get Reanalysis Node Data","description":"Get the metadata & timeseries data associated with a Reanalysis node\n","parameters":[{"name":"reanalysis_name","in":"path","required":true,"schema":{"type":"string","enum":["ERA5","MERRA-2","CERRA"]}},{"name":"latitude_ddeg","in":"path","required":true,"schema":{"type":"string"}},{"name":"longitude_ddeg","in":"path","required":true,"schema":{"type":"string"}},{"name":"date_from","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"variables","in":"query","required":false,"schema":{"oneOf":[{"type":"array","items":{"type":"string","enum":["Spd_50m_mps","Dir_50m_deg","Tmp_2m_degC","Prs_0m_hPa"]},"description":"Variables available for MERRA-2 reanalysis"},{"type":"array","items":{"type":"string","enum":["Spd_100m_mps","Dir_100m_deg","Tmp_2m_degC","Prs_0m_hPa"]},"description":"Variables available for ERA5 reanalysis"},{"type":"array","items":{"type":"string","enum":["Spd_100m_mps","Dir_100m_deg","Tmp_100m_degC","Prs_100m_hPa","RH_100m_pct"]},"description":"Variables available for CERRA reanalysis"}]}}],"responses":{"200":{"description":"Reanalysis node data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReanalysisData"}}}},"403":{"description":"Forbidden – user does not have permission to access this data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Measurement location not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://brightwind.gitbook.io/brighthub-user-docs/api-reference/reanalysis-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
